Description: Update RSA key size to 2048 and force managed ssh transport
 This fixes "crypto/rsa: message too long for RSA key size" error by using bigger keysize
 for the test and forces to use the managed SSH transport irrespective of whether libgit2
 ships SSH support or not.
Author: Mohammed Bilal <rmb@debian.org>
Bug: https://github.com/libgit2/git2go/issues/955
Bug-Debian: https://bugs.debian.org/1042293
Last-Update: 2023-10-01
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/remote_test.go
+++ b/remote_test.go
@@ -447,7 +447,7 @@
 	t.Parallel()
 	pubKeyUsername := "testuser"
 
-	hostPrivKey, err := rsa.GenerateKey(rand.Reader, 512)
+	hostPrivKey, err := rsa.GenerateKey(rand.Reader, 2048)
 	if err != nil {
 		t.Fatalf("Failed to generate the host RSA private key: %v", err)
 	}
@@ -456,7 +456,7 @@
 		t.Fatalf("Failed to generate SSH hostSigner: %v", err)
 	}
 
-	privKey, err := rsa.GenerateKey(rand.Reader, 512)
+	privKey, err := rsa.GenerateKey(rand.Reader, 2048)
 	if err != nil {
 		t.Fatalf("Failed to generate the user RSA private key: %v", err)
 	}
--- a/git.go
+++ b/git.go
@@ -163,11 +163,11 @@
 		// they're the only ones setting it up.
 		C.git_openssl_set_locking()
 	}
-	if features&FeatureSSH == 0 {
+//	if features&FeatureSSH == 0 {
 		if err := registerManagedSSH(); err != nil {
 			panic(err)
 		}
-	}
+//	}
 }
 
 // Shutdown frees all the resources acquired by libgit2. Make sure no
